Dataset Preview
The dataset preview is not available for this split.
Cannot load the dataset split (in streaming mode) to extract the first rows.
Error code:   StreamingRowsError
Exception:    FileNotFoundError
Message:      https://mystic.the-eye.eu/public/AI/pile_preliminary_components/openwebtext2.jsonl.zst.tar
Traceback:    Traceback (most recent call last):
                File "/src/workers/first_rows/.venv/lib/python3.9/site-packages/aiohttp/connector.py", line 980, in _wrap_create_connection
                  return await self._loop.create_connection(*args, **kwargs)  # type: ignore[return-value]  # noqa
                File "/usr/local/lib/python3.9/asyncio/base_events.py", line 1056, in create_connection
                  raise exceptions[0]
                File "/usr/local/lib/python3.9/asyncio/base_events.py", line 1041, in create_connection
                  sock = await self._connect_sock(
                File "/usr/local/lib/python3.9/asyncio/base_events.py", line 955, in _connect_sock
                  await self.sock_connect(sock, address)
                File "/usr/local/lib/python3.9/asyncio/selector_events.py", line 502, in sock_connect
                  return await fut
                File "/usr/local/lib/python3.9/asyncio/selector_events.py", line 537, in _sock_connect_cb
                  raise OSError(err, f'Connect call failed {address}')
              ConnectionRefusedError: [Errno 111] Connect call failed ('62.6.154.15', 443)
              
              The above exception was the direct cause of the following exception:
              
              Traceback (most recent call last):
                File "/src/workers/first_rows/.venv/lib/python3.9/site-packages/fsspec/implementations/http.py", line 407, in _info
                  await _file_info(
                File "/src/workers/first_rows/.venv/lib/python3.9/site-packages/fsspec/implementations/http.py", line 784, in _file_info
                  r = await session.get(url, allow_redirects=ar, **kwargs)
                File "/src/workers/first_rows/.venv/lib/python3.9/site-packages/aiohttp/client.py", line 536, in _request
                  conn = await self._connector.connect(
                File "/src/workers/first_rows/.venv/lib/python3.9/site-packages/aiohttp/connector.py", line 540, in connect
                  proto = await self._create_connection(req, traces, timeout)
                File "/src/workers/first_rows/.venv/lib/python3.9/site-packages/aiohttp/connector.py", line 901, in _create_connection
                  _, proto = await self._create_direct_connection(req, traces, timeout)
                File "/src/workers/first_rows/.venv/lib/python3.9/site-packages/aiohttp/connector.py", line 1206, in _create_direct_connection
                  raise last_exc
                File "/src/workers/first_rows/.venv/lib/python3.9/site-packages/aiohttp/connector.py", line 1175, in _create_direct_connection
                  transp, proto = await self._wrap_create_connection(
                File "/src/workers/first_rows/.venv/lib/python3.9/site-packages/aiohttp/connector.py", line 988, in _wrap_create_connection
                  raise client_error(req.connection_key, exc) from exc
              aiohttp.client_exceptions.ClientConnectorError: Cannot connect to host mystic.the-eye.eu:443 ssl:default [Connect call failed ('62.6.154.15', 443)]
              
              The above exception was the direct cause of the following exception:
              
              Traceback (most recent call last):
                File "/src/workers/first_rows/src/first_rows/response.py", line 407, in compute_first_rows_response
                  rows = get_rows(
                File "/src/workers/first_rows/src/first_rows/utils.py", line 136, in decorator
                  return func(*args, **kwargs)
                File "/src/workers/first_rows/src/first_rows/response.py", line 74, in get_rows
                  ds = load_dataset(
                File "/src/workers/first_rows/.venv/lib/python3.9/site-packages/datasets/load.py", line 1735, in load_dataset
                  return builder_instance.as_streaming_dataset(split=split)
                File "/src/workers/first_rows/.venv/lib/python3.9/site-packages/datasets/builder.py", line 1152, in as_streaming_dataset
                  splits_generators = {sg.name: sg for sg in self._split_generators(dl_manager)}
                File "/tmp/modules-cache/datasets_modules/datasets/the_pile_openwebtext2/8e87bac72189eee1da63597830e283cb4aba4de9689b4cf7c885790bd13cd38d/the_pile_openwebtext2.py", line 74, in _split_generators
                  files = glob.glob(os.path.join(dl_dir, "*jsonl.zst"))
                File "/src/workers/first_rows/.venv/lib/python3.9/site-packages/datasets/streaming.py", line 69, in wrapper
                  return function(*args, use_auth_token=use_auth_token, **kwargs)
                File "/src/workers/first_rows/.venv/lib/python3.9/site-packages/datasets/download/streaming_download_manager.py", line 542, in xglob
                  fs, *_ = fsspec.get_fs_token_paths(urlpath, storage_options=storage_options)
                File "/src/workers/first_rows/.venv/lib/python3.9/site-packages/fsspec/core.py", line 606, in get_fs_token_paths
                  fs = filesystem(protocol, **inkwargs)
                File "/src/workers/first_rows/.venv/lib/python3.9/site-packages/fsspec/registry.py", line 284, in filesystem
                  return cls(**storage_options)
                File "/src/workers/first_rows/.venv/lib/python3.9/site-packages/fsspec/spec.py", line 76, in __call__
                  obj = super().__call__(*args, **kwargs)
                File "/src/workers/first_rows/.venv/lib/python3.9/site-packages/fsspec/implementations/tar.py", line 41, in __init__
                  fo = self.of.open()  # keep the reference
                File "/src/workers/first_rows/.venv/lib/python3.9/site-packages/fsspec/core.py", line 135, in open
                  return self.__enter__()
                File "/src/workers/first_rows/.venv/lib/python3.9/site-packages/fsspec/core.py", line 103, in __enter__
                  f = self.fs.open(self.path, mode=mode)
                File "/src/workers/first_rows/.venv/lib/python3.9/site-packages/fsspec/spec.py", line 1094, in open
                  f = self._open(
                File "/src/workers/first_rows/.venv/lib/python3.9/site-packages/fsspec/implementations/http.py", line 346, in _open
                  size = size or self.info(path, **kwargs)["size"]
                File "/src/workers/first_rows/.venv/lib/python3.9/site-packages/fsspec/asyn.py", line 111, in wrapper
                  return sync(self.loop, func, *args, **kwargs)
                File "/src/workers/first_rows/.venv/lib/python3.9/site-packages/fsspec/asyn.py", line 96, in sync
                  raise return_result
                File "/src/workers/first_rows/.venv/lib/python3.9/site-packages/fsspec/asyn.py", line 53, in _runner
                  result[0] = await coro
                File "/src/workers/first_rows/.venv/lib/python3.9/site-packages/fsspec/implementations/http.py", line 420, in _info
                  raise FileNotFoundError(url) from exc
              FileNotFoundError: https://mystic.the-eye.eu/public/AI/pile_preliminary_components/openwebtext2.jsonl.zst.tar

Need help to make the dataset viewer work? Open an discussion for direct support.